Search Results for

    Show / Hide Table of Contents

    Class SketchInPlaceBuilder

    Inheritance
    System.Object
    System.MarshalByRefObject
    NXRemotableObject
    TaggedObject
    Builder
    SketchInPlaceBuilder
    Implements
    System.Runtime.Remoting.Messaging.IMessageSink
    IComponentBuilder
    Inherited Members
    Builder.Commit()
    Builder.Destroy()
    Builder.GetCommittedObjects()
    Builder.GetObject()
    Builder.ShowResults()
    Builder.Validate()
    Builder.PreviewBuilder
    TaggedObject.initialize()
    TaggedObject.ToString()
    TaggedObject.PrintTestData(String)
    TaggedObject.PrintTestData(String, Int32)
    TaggedObject.Tag
    NXRemotableObject.SyncProcessMessage(IMessage)
    NXRemotableObject.AsyncProcessMessage(IMessage, IMessageSink)
    NXRemotableObject.NextSink
    System.MarshalByRefObject.CreateObjRef(System.Type)
    System.MarshalByRefObject.GetLifetimeService()
    System.MarshalByRefObject.InitializeLifetimeService()
    System.MarshalByRefObject.MemberwiseClone(System.Boolean)
    System.Object.Equals(System.Object)
    System.Object.Equals(System.Object, System.Object)
    System.Object.GetHashCode()
    System.Object.GetType()
    System.Object.MemberwiseClone()
    System.Object.ReferenceEquals(System.Object, System.Object)
    Namespace: NXOpen
    Assembly: NXOpen.dll
    Syntax
    public class SketchInPlaceBuilder : Builder, IMessageSink, IComponentBuilder

    Constructors

    SketchInPlaceBuilder()

    Declaration
    protected SketchInPlaceBuilder()

    Properties

    Axis

    Declaration
    [Obsolete("Deprecated in NX11.0.0.  Use NXOpen.SketchInPlaceBuilder.AxisReference instead.")]
    public SelectIReferenceAxis Axis { get; }
    Property Value
    Type Description
    SelectIReferenceAxis

    AxisOrientation

    Declaration
    public AxisOrientation AxisOrientation { get; set; }
    Property Value
    Type Description
    AxisOrientation

    AxisOrientationInfer

    Declaration
    public AxisOrientation AxisOrientationInfer { get; set; }
    Property Value
    Type Description
    AxisOrientation

    AxisReference

    Declaration
    public Direction AxisReference { get; set; }
    Property Value
    Type Description
    Direction

    CreateIntermediateDatumCsys

    Declaration
    [Obsolete("Deprecated in NX11.0.0.  None")]
    public bool CreateIntermediateDatumCsys { get; set; }
    Property Value
    Type Description
    System.Boolean

    Csystem

    Declaration
    public CartesianCoordinateSystem Csystem { get; set; }
    Property Value
    Type Description
    CartesianCoordinateSystem

    MakeOriginAssociative

    Declaration
    [Obsolete("Deprecated in NX11.0.0.  None")]
    public bool MakeOriginAssociative { get; set; }
    Property Value
    Type Description
    System.Boolean

    OriginOption

    Declaration
    public OriginMethod OriginOption { get; set; }
    Property Value
    Type Description
    OriginMethod

    OriginOptionInfer

    Declaration
    public OriginMethod OriginOptionInfer { get; set; }
    Property Value
    Type Description
    OriginMethod

    Plane

    Declaration
    [Obsolete("Deprecated in NX11.0.0.  Use NXOpen.SketchInPlaceBuilder.PlaneReference instead.")]
    public Plane Plane { get; }
    Property Value
    Type Description
    Plane

    PlaneOption

    Declaration
    public Sketch.PlaneOption PlaneOption { get; set; }
    Property Value
    Type Description
    Sketch.PlaneOption

    PlaneOrFace

    Declaration
    [Obsolete("Deprecated in NX11.0.0.  Use NXOpen.SketchInPlaceBuilder.PlaneReference instead.")]
    public SelectISurface PlaneOrFace { get; }
    Property Value
    Type Description
    SelectISurface

    PlaneReference

    Declaration
    public Plane PlaneReference { get; set; }
    Property Value
    Type Description
    Plane

    ProjectWorkPartOrigin

    Declaration
    [Obsolete("Deprecated in NX11.0.0.  Use NXOpen.SketchInPlaceBuilder.OriginOption instead.")]
    public bool ProjectWorkPartOrigin { get; set; }
    Property Value
    Type Description
    System.Boolean

    ReverseAxis

    Declaration
    [Obsolete("Deprecated in NX11.0.0.  None")]
    public bool ReverseAxis { get; set; }
    Property Value
    Type Description
    System.Boolean

    ReversePlaneNormal

    Declaration
    [Obsolete("Deprecated in NX11.0.0.  None")]
    public bool ReversePlaneNormal { get; set; }
    Property Value
    Type Description
    System.Boolean

    SketchOrigin

    Declaration
    public Point SketchOrigin { get; set; }
    Property Value
    Type Description
    Point

    Implements

    System.Runtime.Remoting.Messaging.IMessageSink
    IComponentBuilder
    In This Article
    Back to top Generated by DocFX